org.keycloak.protocol.oidc.endpoints

## Class AuthorizationEndpoint

- java.lang.Object
- - org.keycloak.protocol.AuthorizationEndpointBase
  - - org.keycloak.protocol.oidc.endpoints.AuthorizationEndpoint

-     public class AuthorizationEndpoint
      extends AuthorizationEndpointBase

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_MUMBER` Max number of additional req params copied into client session note to prevent DoS attacks
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_SIZE` Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
    `protected Map<String,String>` | `additionalReqParams`
    `static String` | `CLIENT_SESSION_NOTE_ADDITIONAL_REQ_PARAMS_PREFIX` Prefix used to store additional HTTP GET params from original client request into `ClientSessionModel` note to be available later in Authenticators, RequiredActions etc.
    `static String` | `CODE_AUTH_TYPE`

    - ### Fields inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `authManager, clientConnection, event, headers, realm, request, session, uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationEndpoint(RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `build()`
    `protected void` | `extractAdditionalReqParams(javax.ws.rs.core.MultivaluedMap<String,String> params)`
    `AuthorizationEndpoint` | `forgotCredentials()`
    `AuthorizationEndpoint` | `register()`

    - ### Methods inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `buildRedirectToIdentityProvider, createProcessor, getAuthenticationFlow, handleBrowserAuthenticationRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CODE_AUTH_TYPE

          public static final String CODE_AUTH_TYPE

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_NOTE_ADDITIONAL_REQ_PARAMS_PREFIX

          public static final String CLIENT_SESSION_NOTE_ADDITIONAL_REQ_PARAMS_PREFIX

      Prefix used to store additional HTTP GET params from original client request into `ClientSessionModel` note to be available later in Authenticators, RequiredActions etc. Prefix is used to prevent collisions with internally used notes.
      See Also:
        `ClientSessionModel.getNote(String)`, `KNOWN_REQ_PARAMS`, `additionalReqParams`, Constant Field Values

    - #### ADDITIONAL_REQ_PARAMS_MAX_MUMBER

          public static final int ADDITIONAL_REQ_PARAMS_MAX_MUMBER

      Max number of additional req params copied into client session note to prevent DoS attacks
      See Also:
        `additionalReqParams`, Constant Field Values

    - #### ADDITIONAL_REQ_PARAMS_MAX_SIZE

          public static final int ADDITIONAL_REQ_PARAMS_MAX_SIZE

      Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
      See Also:
        `additionalReqParams`, Constant Field Values

    - #### additionalReqParams

          protected Map<String,String> additionalReqParams

  - ### Constructor Detail

    - #### AuthorizationEndpoint

          public AuthorizationEndpoint(RealmModel realm,
                                       EventBuilder event)

  - ### Method Detail

    - #### build

          @GET
          public javax.ws.rs.core.Response build()

    - #### extractAdditionalReqParams

          protected void extractAdditionalReqParams(javax.ws.rs.core.MultivaluedMap<String,String> params)

    - #### register

          public AuthorizationEndpoint register()

    - #### forgotCredentials

          public AuthorizationEndpoint forgotCredentials()

Copyright © 2016 JBoss by Red Hat. All rights reserved.